package Servlet;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import Datos.CodClubDB;
import Datos.EquipoDB;
import Modelo.CodClub;
import Modelo.Equipo;
import Modelo.Usuario;

public class Login2Servlet extends HttpServlet {

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        String encoding = request.getCharacterEncoding();
        if (encoding == null) {
            request.setCharacterEncoding("UTF-8");
        }

        String url;
        HttpSession sesion = request.getSession();
        String tipo_usuario = request.getParameter("tipo_usuario");
        Usuario usuario = (Usuario) request.getSession().getAttribute("usuario");
        String id_equipo = request.getParameter("equipo");
        if(id_equipo == null){
            id_equipo = "";
        }
        if(tipo_usuario.equals("E")){
            CodClub club = new CodClub(usuario.getId_usuario(),"");
            if(!id_equipo.equals("")){
                Equipo equipo = EquipoDB.getEquipo(id_equipo);
                sesion.setAttribute("equipo", equipo);
            }
            sesion.setAttribute("club", club);
        }else{
            String id_club = request.getParameter("club");
            CodClub club = CodClubDB.getCodClubId(id_club);
            id_equipo = request.getParameter("equipo");
            Equipo equipo = EquipoDB.getEquipo(id_equipo);
            sesion.setAttribute("club", club);
            sesion.setAttribute("equipo", equipo);
        }
        url = "/principal";
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }
}
